Bug 56246 - Investigate table relative positioning support
: Investigate table relative positioning support
Status: RESOLVED FIXED
: WebKit
Tables
: 528+ (Nightly build)
: PC Mac OS X 10.5
: P2 Normal
Assigned To:
:
:
:
: 57591
  Show dependency treegraph
 
Reported: 2011-03-12 01:28 PST by
Modified: 2011-03-31 16:11 PST (History)


Attachments
Stacking test for table cells with relative positioning. (358 bytes, text/html)
2011-03-12 01:33 PST, Dave Hyatt
no flags Details
Offset test for table cells with relative positioning. (308 bytes, text/html)
2011-03-12 01:36 PST, Dave Hyatt
no flags Details
Containing block test for table cells with relative positioning (367 bytes, text/html)
2011-03-12 01:40 PST, Dave Hyatt
no flags Details
Patch (86.64 KB, patch)
2011-03-14 13:23 PST, Dave Hyatt
bdakin: review+
Review Patch | Details | Formatted Diff | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2011-03-12 01:28:23 PST
Investigate whether or not table cells and other table parts could support relative positioning to enable us to remove the hacks that have built up around this area.
------- Comment #1 From 2011-03-12 01:33:54 PST -------
Created an attachment (id=85579) [details]
Stacking test for table cells with relative positioning.
------- Comment #2 From 2011-03-12 01:34:23 PST -------
The first test is a stacking test.  It shows that position:relative on table cells does in fact affect stacking order in both FFX and IE.
------- Comment #3 From 2011-03-12 01:36:29 PST -------
Created an attachment (id=85580) [details]
Offset test for table cells with relative positioning.

Offset test for relative positioning.  Results show that IE8 does in fact respect left/top as well as position:relative on table cells.  FFX does not respect the offsets.
------- Comment #4 From 2011-03-12 01:40:19 PST -------
Created an attachment (id=85581) [details]
Containing block test for table cells with relative positioning

Third test, a containing block test.  IE8 supports the relative positioned table cell acting as a containing block for absolutely positioned descendants.  Firefox does not.

As far as I can tell we can safely enable relative positioning on table cells.  IE fully supports it, so we can too.
------- Comment #5 From 2011-03-12 23:07:33 PST -------
When a fix for this lands, http://trac.webkit.org/changeset/80814 should be reverted.
------- Comment #6 From 2011-03-14 13:23:03 PST -------
Created an attachment (id=85710) [details]
Patch
------- Comment #7 From 2011-03-14 13:25:42 PST -------
Attachment 85710 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'LayoutTests/ChangeLog', u'LayoutTests/fast..." exit_code: 1

Source/WebCore/css/CSSStyleSelector.cpp:1938:  Boolean expressions that span multiple lines should have their operators on the left side of the line instead of the right side.  [whitespace/operators] [4]
Total errors found: 1 in 14 files


If any of these errors are false positives, please file a bug against check-webkit-style.
------- Comment #8 From 2011-03-14 13:30:20 PST -------
Fixed in r81049.